"use strict";
var PostInstallCommand = (function () {
    function PostInstallCommand($autoCompletionService, $fs, $staticConfig) {
        this.$autoCompletionService = $autoCompletionService;
        this.$fs = $fs;
        this.$staticConfig = $staticConfig;
        this.disableAnalytics = true;
    }
    PostInstallCommand.prototype.execute = function (args) {
        var _this = this;
        return (function () {
            if (process.platform !== "win32") {
                _this.$fs.chmod(_this.$staticConfig.adbFilePath, "0777").wait();
            }

            _this.$autoCompletionService.enableAutoCompletion().wait();
        }).future()();
    };
    return PostInstallCommand;
})();
exports.PostInstallCommand = PostInstallCommand;
$injector.registerCommand("dev-post-install", PostInstallCommand);
