"use strict";
function isWindows() {
    return process.platform === "win32";
}
exports.isWindows = isWindows;

function isWindows64() {
    return exports.isWindows() && (process.arch === "x64" || process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"));
}
exports.isWindows64 = isWindows64;

function isWindows32() {
    return exports.isWindows() && !exports.isWindows64();
}
exports.isWindows32 = isWindows32;

function isDarwin() {
    return process.platform.toUpperCase() === "DARWIN";
}
exports.isDarwin = isDarwin;

function isLinux() {
    return process.platform === "linux";
}
exports.isLinux = isLinux;

exports.hostCapabilities = {
    "win32": {
        debugToolsSupported: true
    },
    "darwin": {
        debugToolsSupported: true
    },
    "linux": {
        debugToolsSupported: false
    }
};
