var log4js = require("log4js");
var util = require("util");
var options = require("./options");

var Logger = (function () {
    function Logger($config) {
        this.log4jsLogger = null;
        var appenders = [];

        if (!$config.CI_LOGGER) {
            appenders.push({
                type: "console",
                layout: {
                    type: "messagePassThrough"
                }
            });
        }

        log4js.configure({ appenders: appenders });

        this.log4jsLogger = log4js.getLogger();

        if (options.log) {
            this.log4jsLogger.setLevel(options.log);
        } else {
            this.log4jsLogger.setLevel($config.DEBUG ? "TRACE" : "INFO");
        }
    }
    Logger.prototype.setLevel = function (level) {
        this.log4jsLogger.setLevel(level);
    };

    Logger.prototype.fatal = function () {
        var args = [];
        for (var _i = 0; _i < (arguments.length - 0); _i++) {
            args[_i] = arguments[_i + 0];
        }
        this.log4jsLogger.fatal.apply(this.log4jsLogger, args);
    };

    Logger.prototype.error = function () {
        var args = [];
        for (var _i = 0; _i < (arguments.length - 0); _i++) {
            args[_i] = arguments[_i + 0];
        }
        this.log4jsLogger.error.apply(this.log4jsLogger, args);
    };

    Logger.prototype.warn = function () {
        var args = [];
        for (var _i = 0; _i < (arguments.length - 0); _i++) {
            args[_i] = arguments[_i + 0];
        }
        this.log4jsLogger.warn.apply(this.log4jsLogger, args);
    };

    Logger.prototype.info = function () {
        var args = [];
        for (var _i = 0; _i < (arguments.length - 0); _i++) {
            args[_i] = arguments[_i + 0];
        }
        this.log4jsLogger.info.apply(this.log4jsLogger, args);
    };

    Logger.prototype.debug = function () {
        var args = [];
        for (var _i = 0; _i < (arguments.length - 0); _i++) {
            args[_i] = arguments[_i + 0];
        }
        this.log4jsLogger.debug.apply(this.log4jsLogger, args);
    };

    Logger.prototype.trace = function () {
        var args = [];
        for (var _i = 0; _i < (arguments.length - 0); _i++) {
            args[_i] = arguments[_i + 0];
        }
        this.log4jsLogger.trace.apply(this.log4jsLogger, args);
    };

    Logger.prototype.out = function () {
        var args = [];
        for (var _i = 0; _i < (arguments.length - 0); _i++) {
            args[_i] = arguments[_i + 0];
        }
        console.log(util.format.apply(null, args));
    };

    Logger.prototype.write = function () {
        var args = [];
        for (var _i = 0; _i < (arguments.length - 0); _i++) {
            args[_i] = arguments[_i + 0];
        }
        process.stdout.write(util.format.apply(null, args));
    };
    return Logger;
})();
exports.Logger = Logger;
$injector.register("logger", Logger);
