"use strict";
var path = require("path");

var osenv = require("osenv");
var yargs = require("yargs");

var knownOpts = {
    "log": String,
    "verbose": Boolean,
    "path": String,
    "version": Boolean,
    "help": Boolean,
    "json": Boolean,
    "watch": Boolean,
    "avd": String,
    "profile-dir": String
}, shorthands = {
    "v": "verbose",
    "p": "path"
};

var parsed = yargs.argv;
Object.keys(parsed).forEach(function (opt) {
    return exports[opt] = parsed[opt];
});
var defaultProfileDir = path.join(osenv.home(), ".appbuilder-cli");
exports["profile-dir"] = exports["profile-dir"] || defaultProfileDir;

exports.knownOpts = knownOpts;
exports.shorthands = shorthands;

module.exports = exports;
