var path = require("path");
var util = require("util");

var StaticConfig = (function () {
    function StaticConfig() {
        this.PROJECT_FILE_NAME = ".tnsproject";
        this.CLIENT_NAME = "NativeScript";
        this.CLIENT_NAME_ALIAS = "tns";
        this.ANALYTICS_API_KEY = "5752dabccfc54c4ab82aea9626b7338e";
        this.TRACK_FEATURE_USAGE_SETTING_NAME = "TrackFeatureUsage";
        this.ANALYTICS_INSTALLATION_ID_SETTING_NAME = "AnalyticsInstallationID";
        this.START_PACKAGE_ACTIVITY_NAME = "com.tns.NativeScriptActivity";
        this.version = require("../package.json").version;
    }
    Object.defineProperty(StaticConfig.prototype, "helpTextPath", {
        get: function () {
            return path.join(__dirname, "../resources/help.txt");
        },
        enumerable: true,
        configurable: true
    });

    Object.defineProperty(StaticConfig.prototype, "adbFilePath", {
        get: function () {
            return path.join(__dirname, util.format("../resources/platform-tools/android/%s/adb", process.platform));
        },
        enumerable: true,
        configurable: true
    });
    return StaticConfig;
})();
exports.StaticConfig = StaticConfig;
$injector.register("staticConfig", StaticConfig);
