var path = require("path");
var helpers = require("./common/helpers");
var commonOptions = require("./common/options");
var osenv = require("osenv");

var knownOpts = {
    "log": String,
    "verbose": Boolean,
    "path": String,
    "frameworkPath": String,
    "appid": String,
    "copy-from": String,
    "link-to": String,
    "release": Boolean,
    "device": Boolean,
    "emulator": Boolean,
    "version": Boolean,
    "help": Boolean,
    "keyStorePath": String,
    "keyStorePassword": String,
    "keyStoreAlias": String,
    "keyStoreAliasPassword": String
}, shorthands = {
    "v": "verbose",
    "p": "path"
};

_.extend(knownOpts, commonOptions.knownOpts);
_.extend(shorthands, commonOptions.shorthands);

var defaultProfileDir = path.join(osenv.home(), ".nativescript-cli");
var parsed = helpers.getParsedOptions(knownOpts, shorthands);
parsed["profile-dir"] = parsed["profile-dir"] || defaultProfileDir;

Object.keys(parsed).forEach(function (opt) {
    return exports[opt] = parsed[opt];
});

exports.knownOpts = knownOpts;

module.exports = exports;
