"use strict";
var path = require("path");

var ProjectData = (function () {
    function ProjectData($fs, $errors, $projectHelper, $staticConfig) {
        this.$fs = $fs;
        this.$errors = $errors;
        this.$projectHelper = $projectHelper;
        this.$staticConfig = $staticConfig;
        this.initializeProjectData().wait();
    }
    ProjectData.prototype.initializeProjectData = function () {
        var _this = this;
        return (function () {
            var projectDir = _this.$projectHelper.projectDir;

            if (projectDir) {
                _this.projectDir = projectDir;
                _this.projectName = path.basename(projectDir);
                _this.platformsDir = path.join(projectDir, "platforms");
                _this.projectFilePath = path.join(projectDir, _this.$staticConfig.PROJECT_FILE_NAME);

                if (_this.$fs.exists(_this.projectFilePath).wait()) {
                    var fileContent = _this.$fs.readJson(_this.projectFilePath).wait();
                    _this.projectId = fileContent.id;
                }
            } else {
                _this.$errors.fail("No project found at or above '%s' and neither was a --path specified.", process.cwd());
            }
        }).future()();
    };
    return ProjectData;
})();
exports.ProjectData = ProjectData;
$injector.register("projectData", ProjectData);
